[build-system]
requires = ["setuptools>=77", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "bteng"
version = "0.2.8"
description = "Modular Behavior Tree execution engine for Python"
readme = "README.md"
license = "LicenseRef-BTEng-Proprietary"
license-files = ["LICENSE"]
requires-python = ">=3.9"
dependencies = []
authors = [
  { name = "BTEng contributors" }
]
keywords = ["behavior-tree", "robotics", "automation", "planning", "control"]
classifiers = [
  "Development Status :: 3 - Alpha",
  "Intended Audience :: Developers",
  "Intended Audience :: Science/Research",
  "Programming Language :: Python :: 3",
  "Programming Language :: Python :: 3.9",
  "Programming Language :: Python :: 3.10",
  "Programming Language :: Python :: 3.11",
  "Programming Language :: Python :: 3.12",
  "Programming Language :: Python :: 3.13",
  "Topic :: Scientific/Engineering",
  "Topic :: Scientific/Engineering :: Artificial Intelligence",
  "Topic :: Software Development :: Libraries :: Python Modules",
]

[project.urls]
Homepage      = "https://github.com/BTEng-dev/bteng"
Documentation = "https://bteng-dev.github.io/bteng"
"Bug Tracker" = "https://github.com/BTEng-dev/bteng/issues"

[project.optional-dependencies]
zmq  = ["pyzmq>=24"]
dev  = ["build", "pytest", "twine"]
docs = ["mkdocs>=1.5", "mkdocs-material>=9.5", "mkdocstrings[python]>=0.24"]

[project.scripts]
bteng = "bteng.cli:main"

[tool.setuptools]
include-package-data = true

[tool.setuptools.package-data]
bteng = ["py.typed"]

[tool.setuptools.packages.find]
where = ["."]
include = ["bteng*"]
